Bug 324241 - xconsole dies on x86_64 platforms immediately after start
xconsole dies on x86_64 platforms immediately after start
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-apps (Show other bugs)
7
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-09 01:48 EDT by Joachim Backes
Modified: 2014-06-18 05:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:37:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace for xconsole (5.24 KB, application/x-gzip)
2007-10-09 01:48 EDT, Joachim Backes
no flags Details
coredump after crash (608.00 KB, application/octet-stream)
2007-10-09 01:49 EDT, Joachim Backes
no flags Details
uncompressed strace (37.28 KB, text/plain)
2007-10-10 18:51 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Joachim Backes 2007-10-09 01:48:25 EDT
Description of problem:
When starting xconsole on x86_64 platform, it dies immediately and dumps core.



Version-Release number of selected component (if applicable):
xorg-x11-apps-7.1-4.fc7


How reproducible:
each time

Steps to Reproduce:
1.xconsole
2.
3.
  
Actual results:
xconsole
Segmentation fault (core dumped)


Expected results:
console window appears

Additional info: Strace and coredump are attached
Comment 1 Joachim Backes 2007-10-09 01:48:25 EDT
Created attachment 220651 [details]
strace for xconsole
Comment 2 Joachim Backes 2007-10-09 01:49:47 EDT
Created attachment 220671 [details]
coredump after crash
Comment 3 Matěj Cepl 2007-10-10 18:51:17 EDT
Created attachment 223521 [details]
uncompressed strace
Comment 4 Matěj Cepl 2007-10-10 19:07:26 EDT
Concerning the core dump -- can I ask you to install xorg-x11-apps-debuginfo
package and then running xconsole inside gdb, i.e.

gdb xconsole
run
(wait until it crashes)
backtrace

and paste copy of the output to the comment of this bug, please.
Comment 5 Joachim Backes 2007-10-11 01:01:44 EDT
 gdb xconsole
GNU gdb Red Hat Linux (6.6-15.fc7rh)
Copyright (C) 2006 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu"...
(no debugging symbols found)
Using host libthread_db library "/lib64/libthread_db.so.1".
(gdb) run
Starting program: /usr/bin/xconsole 
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)

Program received signal SIGSEGV, Segmentation fault.
0x0000003e76ce3bc0 in __strcpy_chk () from /lib64/libc.so.6
(gdb) backtrace
#0  0x0000003e76ce3bc0 in __strcpy_chk () from /lib64/libc.so.6
#1  0x00000000004020a7 in ?? ()
#2  0x000000000040235a in ?? ()
#3  0x0000003e76c1dab4 in __libc_start_main () from /lib64/libc.so.6
#4  0x0000000000401989 in ?? ()
#5  0x00007fff0720c898 in ?? ()
#6  0x0000000000000000 in ?? ()
(gdb) 
Comment 6 Joachim Backes 2007-10-11 01:02:33 EDT
No crash in i386 platforms
Comment 7 Matěj Cepl 2007-10-11 08:51:57 EDT
Whoops, there are some more -debuginfo we need to install:

fontconfig-debuginfo, freetype-debuginfo, libSM-debuginfo        ,
libX11-debuginfo, libXaw-debuginfo, libXcursor-debuginfo, libXext-debuginfo    
 , libXft-debuginfo, libXmu-debuginfo, libXrender-debuginfo,
libfontenc-debuginfo, libpng-debuginfo, libxkbfile-debuginfo, zlib-debuginfo
Comment 8 Matěj Cepl 2007-10-11 09:09:25 EDT
And unfortunately, I cannot reproduce it here with x86_64 rawhide (I had to make
manual link /dev/console -> /dev/xconsole, but otherwise it doesn't crash.

On the other hand, it really behaves weirdly -- grabs all keyboard input, so
with it started system is effectively useless (and all keys are shown in the
window). Moreover when trying to send a message to it via logger, I was not able
to make any noise on it.
Comment 9 Bug Zapper 2008-05-14 10:40:33 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2008-06-16 22:37:01 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 11 Joachim Backes 2008-06-17 01:22:03 EDT
Cannot be reproduced in F8!
Comment 12 Matěj Cepl 2008-06-17 04:04:51 EDT
Cool! Thanks.

Note You need to log in before you can comment on or make changes to this bug.